package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.civilizedcity.entity.TaCheckAnswer;
import com.example.civilizedcity.vo.CheckLocAnswer;
import com.example.civilizedcity.vo.CheckSurveyAnswer;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
public interface TaCheckAnswerService extends IBaseService<TaCheckAnswer> {

    int getCountByUser(String itemId, String userId);

    int countByItem(String itemId);

    List<TaCheckAnswer> getByUser(String itemId, String userId);

    IPage<CheckLocAnswer> getLocPageBy(IPage<CheckLocAnswer> pg, String checkId, String typeId);

    List<CheckLocAnswer> getLocListBy(String checkId, String typeId);

    IPage<CheckSurveyAnswer> getSurveyPageBy(IPage<CheckSurveyAnswer> pg, String checkId, String communityName, String addr);

    List<CheckSurveyAnswer> getSurveyListBy(String checkId, String communityName, String addr);
}